namespace PkmnLib.Plugin.Gen7.Scripts.Abilities;

/// <summary>
/// Tough Claws is an ability that boosts the power of contact moves.
///
/// <see href="https://bulbapedia.bulbagarden.net/wiki/Tough_Claws_(Ability)">Bulbapedia - Tough Claws</see>
/// </summary>
[Script(ScriptCategory.Ability, "tough_claws")]
public class ToughClaws : Script, IScriptChangeMoveDamage
{
    /// <inheritdoc />
    public void ChangeMoveDamage(IExecutingMove move, IPokemon target, byte hit, ref uint damage)
    {
        if (move.GetHitData(target, hit).IsContact)
        {
            damage = damage.MultiplyOrMax(5325 / 4096f);
        }
    }
}